Skip to main content
GET
Get an external account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_account_id
string<uuid>
required

External Account ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

The external account

account_identifiers
Identifiers for the account · object
required
account_owner_names
string[]
required

The names of the account owners. Values may be masked, in which case the array will be empty.

creation_time
string<date-time>
required
Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>
required
read-only

External account unique identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

last_updated_time
string<date-time>
required
Example:

"2010-05-06T12:23:34.321Z"

routing_identifiers
Routing information for the account · object
required
status
enum<string>
required

The current state of the account

Available options:
ACTIVE,
CLOSED,
DELETED,
INACTIVE
type
enum<string>
required

The type of the account

Available options:
CHECKING,
SAVINGS,
CREDIT_CARD,
MONEY_MARKET,
INVESTMENT_529,
CRYPTO_WALLET,
WALLET,
OTHER_BANK_ACCOUNT,
OTHER
verification
Information specific to Plaid verification · object
required

Information about the account verification process. If the account has not been verified, this will be null.

business_id
string<uuid>

The identifier for the business customer associated with this external account. Exactly one of business_id or customer_id will be returned.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

currency
string

ISO 4217 alphabetic currency code

Pattern: ^[A-Z]{3}$
Example:

"USD"

customer_id
string<uuid>

The identifier for the personal customer associated with this external account. Exactly one of customer_id or business_id will be returned.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

deletion_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

metadata
object

User-supplied JSON format metadata.

name
string

The official name of the account

Example:

"Plaid Checking"

nickname
string | null

A user-meaningful name for the account

Example:

"Vacation savings"

status_reason
string

The reason for the status for the external account.

tenant
string

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

vendor_data
object
vendor_info
Vendor Info · object

The information provided to Synctera from the vendor. Interpretation of this object is up to the client.